Subject: Re: [Tools-discuss] Bug in id-nits if a draft has an "Updates" header that lists a draft

From: Henrik Levkowetz <[email-masked]>
Date: Mon, 02 May 2011 14:24:20 +0200

Hi Paul

On 2011-04-30 00:47 Paul Hoffman said:
> Greetings again. I just tried to turn in a draft for draft-ietf-genarea-milestones-tool that updates draft-ietf-genarea-charter-tool-09 (a draft that is in the RFC Editor's queue". My XML input used:
> <rfc ipr="trust200902"
> 	docName="draft-ietf-genarea-milestones-tool-00"
> 	category="info"
> 	updates="draft-ietf-genarea-charter-tool-09"
>>
> 
> id-nits would not accept that, I assume because it was looking for the first string in the document that looked like an Internet-Draft name. I was able to submit by removing the "updates" header, but I strongly suspect that people will bug me about the fact that the draft internally says that it updates this RFC-to-be but that is not listed in the front page header.

I tried to replicate this with a renamed and hacked copy of
draft-ietf-genarea-charter-tool-09, but couldn't reproduce
the error.  Could you send me a copy of the file which causes
idnits to misbehave?

Best,

	Henrik